Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057916 - Review Request: perl-HTML-TreeBuilderX-ASP_NET - Scrape ASP.NET/VB.NET sites which utilize Javascript POST-backs
Summary: Review Request: perl-HTML-TreeBuilderX-ASP_NET - Scrape ASP.NET/VB.NET sites ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1057915
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-26 01:03 UTC by Michael S.
Modified: 2015-06-22 10:41 UTC (History)
3 users (show)

Fixed In Version: perl-HTML-TreeBuilderX-ASP_NET-0.09-4.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-22 10:41:16 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michael S. 2014-01-26 01:03:17 UTC
Spec URL: http://misc.fedorapeople.org/perl-HTML-TreeBuilderX-ASP_NET.spec
SRPM URL: http://misc.fedorapeople.org/perl-HTML-TreeBuilderX-ASP_NET-0.09-3.fc20.src.rpm

Description: Scrape ASP.NET sites which utilize the language's __VIEWSTATE,
__EVENTTARGET, __EVENTARGUMENT, __LASTFOCUS, et al. This module returns a
HTTP::Response from the form with the use of the method ->httpResponse.

Fedora Account System Username: misc

Comment 1 Petr Šabata 2014-01-29 15:36:29 UTC
FIX: Filter underspecified runtime deps (Moose and MooseX::Types)
FIX: BuildRequire perl(Carp), lib/HTML/TreeBuilderX/ASP_NET.pm:10
FIX: BuildRequire perl(Cwd), inc/Module/Install.pm:123
FIX: BuildRequire perl(ExtUtils::MM_Unix), inc/Module/Install/Metadata.pm:350,356
TODO: BuildRequire perl(File::Find), inc/Module/Install.pm:124
FIX: BuildRequire perl(File::Path), inc/Module/Install.pm:125
FIX: BuildRequire perl(File::Spec), inc/Module/Install/Can.pm:6
TODO: BuildRequire perl(FindBin), inc/Module/Install.pm:126
FIX: BuildRequire perl(HTML::Element), lib/HTML/TreeBuilderX/ASP_NET.pm:9, t/01-bad_const.t:4, t/02-good_const.t:5
FIX: BuildRequire perl(Moose::Role), lib/HTML/TreeBuilderX/ASP_NET/Roles/htmlElement.pm:5
TODO: BuildRequire perl(mro), lib/HTML/TreeBuilderX/ASP_NET.pm:14
TODO: BuildRequire perl(strict), used all over the place
TODO: BuildRequire perl(vars), used all over the place
TODO: BuildRequire perl(warnings), used all over the place
TODO: Use DESTDIR instead of PERL_INSTALL_ROOT
TODO: Drop the useless line 45

Items listed as `TODO' are optional but recommended fixes.
Please, fix the items marked as `FIX' at least.

Comment 3 Petr Šabata 2014-01-30 09:02:04 UTC
Alright, looks good.  Approving.

Comment 4 Michael S. 2014-02-05 16:28:47 UTC
New Package SCM Request
=======================
Package Name:  perl-HTML-TreeBuilderX-ASP_NET
Short Description: Scrape ASP.NET sites which utilize the language's __VIEWSTATE,
__EVENTTARGET, __EVENTARGUMENT, __LASTFOCUS, et al.
Owners: misc
Branches: f20
InitialCC: perl-sig

Comment 5 Gwyn Ciesla 2014-02-05 16:33:42 UTC
Git done (by process-git-requests).

Comment 6 Petr Šabata 2014-04-04 13:16:23 UTC
Ping, have you pushed and built the package?

Comment 7 Petr Šabata 2015-05-14 08:51:33 UTC
Ping again.

Do you ever plan to build this?  Are you still interested in the package?

Comment 8 Michael S. 2015-05-14 14:30:40 UTC
Sorry, I keep forgetting about this one. 

Yes, I pushed the package to rawhide now.

Comment 9 Petr Šabata 2015-06-22 10:41:16 UTC
Closing.


Note You need to log in before you can comment on or make changes to this bug.